<?php
session_start();
ob_start();
include_once('../Repositories/MysqlConnector.php');
include_once('../Modelos/User.Class.php');

if (isset($_POST['login']) && !empty(trim($_POST['login'])) && isset($_POST['senha']) && !empty(trim($_POST['senha']))) {
    $Login = $_POST['login'];
    $Senha = $_POST['senha'];

    $mysqlConnector = new MysqlConnector();
    $pdo = $mysqlConnector->GetConnectionLink();

    $texto = strpos(strtolower($Login), '@intersolid.');

    if ($texto !== false) {
        //$query = 'SELECT ID, NOME, EMAIL, CAST(AES_DECRYPT(Senha, "Qdt03Tec!") AS CHAR) AS SENHA, 0 AS EMPRESA, 1 AS ADMIN, 1 AS SUPER FROM supadmin WHERE email = ?';
        $query = 'SELECT ID, NOME, EMAIL,SENHA, 0 AS EMPRESA, 1 AS ADMIN, 1 AS SUPER FROM supadmin WHERE email = ?';
        $stmt = $pdo->prepare($query);
        $stmt->bind_param('s', $Login); // 's' indica que $Login é uma string

        $stmt->execute();

        $result = $stmt->get_result();

        if ($result->num_rows > 0) {
            $resultset = $result->fetch_assoc();

            $senhaDigitadaHash = md5($Senha);

            $Usuario = new User();
            $Usuario->idUsuario = $resultset['ID'];
            $Usuario->NomeUsuario = $resultset['NOME'];
            $Usuario->SenhaUsuario = $resultset['SENHA'];
            $Usuario->EmpresaUsuario = $resultset['EMPRESA'];
            $Usuario->usuarioAdmin = $resultset['ADMIN'];
            $Usuario->superUsuario = $resultset['SUPER'];

            if ($senhaDigitadaHash == $Usuario->SenhaUsuario) {
                $_SESSION['usuarioID'] = $Usuario->idUsuario;
                $_SESSION['usuarioNome'] = $Usuario->NomeUsuario;
                $_SESSION['usuarioEmpresa'] = $Usuario->EmpresaUsuario;
                $_SESSION['usuarioADM'] = $Usuario->usuarioAdmin;
                $_SESSION['usuarioSUP'] = $Usuario->superUsuario;
                $_SESSION['UrlRoot'] = 'http://localhost:8080/qdtsis/Admin/';

                header('Location:../../Admin/index.php');
            } else {
                $_SESSION['Erro'] = 'Senha Incorreta!'.$Usuario->SenhaUsuario.' '.$Senha;
                header('Location:../../index.php');
            }
        } else {
            $_SESSION['Erro'] = 'Usuário não encontrado!';
            header('Location:../../index.php');
        }
    } else {
        $_SESSION['Erro'] = 'Não é aqui';
        header('Location:../../index.php');
    }
} else {
    $_SESSION['Erro'] = 'Preencha os campos de login e senha';
    header('Location:../../index.php');
}
/*session_start();
ob_start();
include_once('../Repositories/MysqlConnector.php');
include_once('../Modelos/User.Class.php');

if (isset($_POST['login']) && !empty(trim($_POST['login']))) {
    // O campo login foi preenchido e não é uma string em branco.
    $Login = $_POST['login'];
    if (isset($_POST['senha']) && !empty(trim($_POST['senha']))) {
        // O campo login foi preenchido e não é uma string em branco.
        $Senha  = $_POST['senha'];
    } else {
        $_SESSION['Erro'] = 'A Senha é obrigatória';
        header('Location:../../index.php');    
    }
} else {
    $_SESSION['Erro'] = 'Digite um Usuário válido Exemplo:meuemail@meuemail.com';
    header('Location:../../index.php');    
}
if(!empty($login) && !empty($Senha)){
    $mysqlConnector = new MysqlConnector();
    $pdo = $mysqlConnector->GetConnectionLink();

    $texto = strpos(strtolower($Login), '@super.');

    if ($texto !== false) {
        $query = 'SELECT ID, NOME, EMAIL, CAST(AES_DECRYPT(Senha, "Qdt03Tec!") AS CHAR) AS SENHA, 0 AS EMPRESA, 1 AS ADMIN, 1 AS SUPER FROM supadmin WHERE email = ?';
        $stmt = $pdo->prepare($query);
        $stmt->bind_param('s', $Login); // 's' indica que $Login é uma string

        $stmt->execute();

        $result = $stmt->get_result();
        
        if ($result->num_rows > 0) {
            $resultset = $result->fetch_assoc();

            $Usuario = new User();
            $Usuario->idUsuario = $resultset['ID'];
            $Usuario->NomeUsuario = $resultset['NOME'];
            $Usuario->SenhaUsuario = $resultset['SENHA'];
            $Usuario->EmpresaUsuario = $resultset['EMPRESA'];
            $Usuario->usuarioAdmin = $resultset['ADMIN'];
            $Usuario->superUsuario = $resultset['SUPER'];
            echo '<html><body>achou essa merda</body></html>';
            if ($Senha == $Usuario->SenhaUsuario) {
                $_SESSION['usuarioID']      = $Usuario->idUsuario;
                $_SESSION['usuarioNome']    = $Usuario->NomeUsuario;
                $_SESSION['usuarioEmpresa'] = $Usuario->EmpresaUsuario;
                $_SESSION['usuarioADM']     = $Usuario->usuarioAdmin;
                $_SESSION['usuarioSUP']     = $Usuario->superUsuario;
                $_SESSION['UrlRoot']        = 'Admin/';

                header('Location:../../Admin/index.php');
            } else {
                $_SESSION['Erro'] = 'Senha Incorreta!';
                header('Location:../../index.php'); 
            }

        } else {
            $_SESSION['Erro'] = 'Usuário não encontrado!';
            header('Location:../../index.php');
        }
    } else {
        $_SESSION['Erro'] = 'não é aqui';
    }
}

*/
?>

